Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 28 Sep 2020 07:45:20 +0000

Hi Ammar Asif,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect My order got cancelled after purchased and I believe that you preferred to give my purchased item to someone who paid the full amount without gift card and cancelled my item while there was a stock when I purchased

Unfortunately we had to cancel your order 6227760880 due to circumstances beyond our control. Please accept our sincere apologies.

All of that because I used a gift card with a limited stock item !!
I am very upset and disappointed from such experience https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1526733